minimorph-0.2.1.0: English spelling functions with an emphasis on simplicity.

Safe Haskell | Safe
Language | Haskell2010

NLP.Minimorph.Number

Synopsis

- data SingPlu a = SP {
  - sg :: a
  - pl :: a
  }
- data Number
  - = Singular
  - | Plural
- fromSP :: Number -> SingPlu a -> a

# Documentation

data SingPlu a Source #

Singular and Plural.

Constructors

SP |

Fields

- sg :: a
- pl :: a

Instances

Eq a => Eq (SingPlu a) Source # |
Instance details Defined in NLP.Minimorph.Number Methods (==) :: SingPlu a -> SingPlu a -> Bool Source # (/=) :: SingPlu a -> SingPlu a -> Bool Source #
Show a => Show (SingPlu a) Source # |
Instance details Defined in NLP.Minimorph.Number Methods showsPrec :: Int -> SingPlu a -> ShowS Source # show :: SingPlu a -> String Source # showList :: [SingPlu a] -> ShowS Source #

data Number Source #

Constructors

Singular |
Plural |

Instances

Eq Number Source # |
Instance details Defined in NLP.Minimorph.Number Methods (==) :: Number -> Number -> Bool Source # (/=) :: Number -> Number -> Bool Source #
Show Number Source # |
Instance details Defined in NLP.Minimorph.Number Methods showsPrec :: Int -> Number -> ShowS Source # show :: Number -> String Source # showList :: [Number] -> ShowS Source #

fromSP :: Number -> SingPlu a -> a Source #